# Visualization
TKV2d
AIS2D

# AIS2D_DataMapOfIOStatus Class Reference

`#include <AIS2D_DataMapOfIOStatus.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | AIS2D_DataMapOfIOStatus (const Standard_Integer NbBuckets=1)
Standard_EXPORT AIS2D_DataMapOfIOStatus & | Assign (const AIS2D_DataMapOfIOStatus &Other)
AIS2D_DataMapOfIOStatus & | operator= (const AIS2D_DataMapOfIOStatus &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~AIS2D_DataMapOfIOStatus ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(AIS2D_InteractiveObject)&K, const Handle(AIS2D_GlobalStatus)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(AIS2D_InteractiveObject)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(AIS2D_InteractiveObject)&K)
Standard_EXPORT const Handle_AIS2D_GlobalStatus & | Find (const Handle(AIS2D_InteractiveObject)&K) const
const Handle_AIS2D_GlobalStatus & | operator() (const Handle(AIS2D_InteractiveObject)&K) const
Standard_EXPORT Handle_AIS2D_GlobalStatus & | ChangeFind (const Handle(AIS2D_InteractiveObject)&K)
Handle_AIS2D_GlobalStatus & | operator() (const Handle(AIS2D_InteractiveObject)&K)

## Private Member Functions

Standard_EXPORT | AIS2D_DataMapOfIOStatus (const AIS2D_DataMapOfIOStatus &Other)

## Constructor & Destructor Documentation

Standard_EXPORT AIS2D_DataMapOfIOStatus::AIS2D_DataMapOfIOStatus | ( | const Standard_Integer | NbBuckets = `1` | ) |

AIS2D_DataMapOfIOStatus::~AIS2D_DataMapOfIOStatus | ( |  | ) | `[inline]`

Standard_EXPORT AIS2D_DataMapOfIOStatus::AIS2D_DataMapOfIOStatus | ( | const AIS2D_DataMapOfIOStatus & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT AIS2D_DataMapOfIOStatus& AIS2D_DataMapOfIOStatus::Assign | ( | const AIS2D_DataMapOfIOStatus & | Other | ) |

Standard_EXPORT Standard_Boolean AIS2D_DataMapOfIOStatus::Bind | ( | const Handle(AIS2D_InteractiveObject)& | K,
|  | const Handle(AIS2D_GlobalStatus)& | I
| ) |

Standard_EXPORT Handle_AIS2D_GlobalStatus& AIS2D_DataMapOfIOStatus::ChangeFind | ( | const Handle(AIS2D_InteractiveObject)& | K | ) |

Standard_EXPORT void AIS2D_DataMapOfIOStatus::Clear | ( |  | ) |

Standard_EXPORT const Handle_AIS2D_GlobalStatus& AIS2D_DataMapOfIOStatus::Find | ( | const Handle(AIS2D_InteractiveObject)& | K | ) | const

Standard_EXPORT Standard_Boolean AIS2D_DataMapOfIOStatus::IsBound | ( | const Handle(AIS2D_InteractiveObject)& | K | ) | const

void AIS2D_DataMapOfIOStatus::operator delete | ( | void * | anAddress | ) | `[inline]`

void* AIS2D_DataMapOfIOStatus::operator new | ( | size_t | size | ) | `[inline]`

void* AIS2D_DataMapOfIOStatus::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_AIS2D_GlobalStatus& AIS2D_DataMapOfIOStatus::operator() | ( | const Handle(AIS2D_InteractiveObject)& | K | ) | `[inline]`

const Handle_AIS2D_GlobalStatus& AIS2D_DataMapOfIOStatus::operator() | ( | const Handle(AIS2D_InteractiveObject)& | K | ) | const`[inline]`

AIS2D_DataMapOfIOStatus& AIS2D_DataMapOfIOStatus::operator= | ( | const AIS2D_DataMapOfIOStatus & | Other | ) | `[inline]`

Standard_EXPORT void AIS2D_DataMapOfIOStatus::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean AIS2D_DataMapOfIOStatus::UnBind | ( | const Handle(AIS2D_InteractiveObject)& | K | ) |

The documentation for this class was generated from the following file:

- AIS2D_DataMapOfIOStatus.hxx